﻿-- (c) eradicator a.k.a lossycrypt, 2021, not seperately licensable

-- -------------------------------------------------------------------------- --
-- Built-In                                                                   --
-- -------------------------------------------------------------------------- --
local elroot = (pcall(require,'erlib/empty')) and '' or '__eradicators-library__/'
local say,warn,err,elreq,flag,ercfg=table.unpack(require(elroot..'erlib/shared'))

-- -------------------------------------------------------------------------- --
-- Eradicators Library                                                        --
-- (Factorio does not allow runtime require!)                                 --
-- -------------------------------------------------------------------------- --
local log         = elreq('erlib/lua/Log'          )().Logger  'ER:STOCKPILE'
local Loader      = elreq('plugins/!init/loader'   )(log, 'eradicators-stickpile')

--------------------------------------------------------------------------------
return function(phase)

  ------------------------------------------------------------------------------
  Loader.init(phase)
  
  ------------------------------------------------------------------------------
  if phase == 'settings' then
    erlib_enable_plugin 'on_entity_created'
    erlib_enable_plugin 'on_user_panic'
    
    -- erlib_enable_plugin 'on_ticked_action'
    -- erlib_enable_plugin 'gui-auto-styler'
    end
  
  ------------------------------------------------------------------------------
  -- if phase == 'control' then
    -- GLOBAL('Plugins', {}) -- plugin interconnect table
    -- end
    
  ------------------------------------------------------------------------------
  Loader.enable_pm()
  Loader.enable_em()
  Loader.load_phase()
  Loader.cleanup()
  
  ------------------------------------------------------------------------------
  end