﻿local _ = '__00-universal-locale__/remote' if remote.interfaces[_] then

local import = PluginManager.make_relative_require 'stockpile-2'
local const  = import '/const'
local hotkey = Locale.format_hotkey_tooltip

-- -------------------------------------------------------------------------- --
require(_)('stockpile-2', {

  -- ['[er:stockpile]'] = {
    -- ['key'] = { 
      -- en = "",
      -- de = "",
      -- ja = "",
      -- }
    -- },

  ['[item-name]'] = {  
    [const.name.item] = {
      en = "Stockpile",
      de = "Lagerfläche",
      ja = "物置場",
      }
    },
    
  ['[item-description]'] = {
    [const.name.item] = {
      en = 'Just some empty space where you pile up stuff.' ,
      de = 'Eine leere Fläche auf der du Gegenstände lagern kannst.',
      ja = '飾り気のない物置場。',
      }
    },

  ['[item-control-description]'] = {
    [const.name.item] = {
      en = hotkey(nil, 'When in cursor:')
        .. hotkey(nil,'\\n ▪ ')
        .. hotkey('__CONTROL__cycle-blueprint-forwards__',' to increase size.')
        .. hotkey(nil,'\\n ▪ ')
        .. hotkey('__CONTROL__cycle-blueprint-backwards__',' to decrease size.')
        ,
      },
    },
    
    
  ['[er:stockpile]'] = {
  
    -- ['logistic-mode'] = {
    --   en = 'Logistic Mode',
    --   de = 'Logisticmodus',
    --   ja = '物流モード',
    --   },
    
    -- ['infinity-mode'] = {
    --   en = 'Infinite storage',
    --   de = 'Unendliche Lagerung',
    --   ja = '無限貯蔵',
    --   },
    
    },

  }) end